/* Base Styles */
:root {
    --primary-color: #1a365d;
    --secondary-color: #89c997;
    --accent-color: #e8559e;
    --background-color: #f2f9ff;
    --text-color: #3d3d3d;
    --light-gray: #f5f5f5;
    --dark-gray: #6c757d;
    --white: #ffffff;
    --transition: all 0.3s ease;
}

:root {
    --ff-default: "Zen Kaku Gothic New", "游ゴシック体", "Yu Gothic", YuGothic, "ヒラギノ角ゴ Pro", "Hiragino Kaku Gothic Pro", "メイリオ", Meiryo, "MS Pゴシック", "MS PGothic", sans-serif;
    --ff-sans-serif: var(--ff-default);
    --ff-serif: "游明朝体", "Yu Mincho", YuMincho, "ヒラギノ明朝 Pro", "Hiragino Mincho Pro", "MS P明朝", "MS PMincho", serif;
    --fz-default: 16px;
    --fw-default: 500;
    --c-default: #343434;
    --lh-default: 1.5;
    --lts-default: 1px;
    --content-section-default: 120px;
    --content-inner-default: 88.888888888%;
    --content-inner-width-default: 1000px;
    --heading-fw-default: 700;
    --heading-lh-default: var(--lh-default);
}

@media (max-width: 1024px) {}
@media (max-width: 767px) {
    :root {
        --lts-default: 0;
        --content-section-default: 80px;
        --content-inner-default: 86.666666666%;
    }
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    overflow-x: hidden;
}

/* ------------------------------
 common
------------------------------ */

.container {
    width: var(--content-inner-width-default);
    max-width: var(--content-inner-default);
    margin-left: auto;
    margin-right: auto;
}

.section {
    padding: var(--content-section-default) 0;
    text-align: center;
}

.section-title {
    text-align: center;
    font-size: 40px;
    margin-bottom: 5rem;
    color: var(--primary-color);
}


@media (max-width: 767px) {

    .section-title {
        font-size: 24px;
        margin-bottom: 2.5rem;
    }
}


/* ------------------------------
 header
------------------------------ */
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    padding: 1.25rem;
    text-align: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;

}


.header-title {
    font-size: 14px;
    font-weight: 400;
    color: var(--text-color);
    margin: 0 0 .625rem 0;
    line-height: 1.4;
}

.logo {
    margin: 0;
}

.logo img {
    max-height: 60px;
    width: auto;
    display: block;
    margin: 0 auto;
}

.header-banner {
    pointer-events: none;
}

.header-banner a {
    display: block;
    pointer-events: auto;
}

.header-banner picture {
    display: block;
    max-width: 100%;
    position: relative;
    overflow: hidden;
    -webkit-transition: 300ms;
    -o-transition: 300ms;
    transition: 300ms;
}

.header-banner picture::before {
    position: absolute;
    content: '';
    display: inline-block;
    top: -180px;
    left: 0;
    width: 30px;
    height: 100%;
    background-color: rgba(255, 255, 255, .5);
    -webkit-transition: 300ms;
    -o-transition: 300ms;
    transition: 300ms;
    -webkit-animation: shinyshiny 5s ease-in-out infinite;
            animation: shinyshiny 5s ease-in-out infinite;
}

@-webkit-keyframes shinyshiny {
    0% { -webkit-transform: scale(0) rotate(45deg); opacity: 0; }
    80% { -webkit-transform: scale(0) rotate(45deg); opacity: 0.5; }
    81% { -webkit-transform: scale(4) rotate(45deg); opacity: 1; }
    100% { -webkit-transform: scale(50) rotate(45deg); opacity: 0; }
}

@keyframes shinyshiny {
    0% { -webkit-transform: scale(0) rotate(45deg); opacity: 0; }
    80% { -webkit-transform: scale(0) rotate(45deg); opacity: 0.5; }
    81% { -webkit-transform: scale(4) rotate(45deg); opacity: 1; }
    100% { -webkit-transform: scale(50) rotate(45deg); opacity: 0; }
}

@media (max-width:1024px)  {
    .logo img {
        max-height: 50px;
    }

    .header-banner a {
        width: 300px;
    }
}

@media (max-width: 767px)  {

    .header {
        padding: .625rem 0;
        display: block;
        position: absolute;
    }

    .header-title {
        margin: 0 0 .3125rem 0;
        font-size: 10px;
    }

    .logo img {
        max-height: 40px;
    }

    .header-banner {
        position: fixed;
        bottom: 0;
        right: 60px;
        left: 10px;
    }
}

/* ------------------------------
 main
------------------------------ */
#main {
    margin-left: auto;
    margin-right: auto;
}

/* ------------------------------
 footer
------------------------------ */

.footer {
    background-color: var(--primary-color);
    color: var(--white);
    padding: 2.5rem .625rem;
    text-align: center;
}

.footer-logo {
    margin-bottom: 1.25rem;
    width: 180px;
    display: inline-block;
}

.footer-nav ul {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    gap: 1.25rem;
    font-size: 14px;
}

.footer-nav ul li {
    border-bottom: 1px solid;
    padding-bottom: .1rem;
}

.copyright {
    padding-top: 2.5rem;
    font-size: 12px;
}

@media (max-width:767px) {
    .footer {
        padding: 2.5rem 0 5rem 0;
    }

    .footer-logo {
        width: 120px;
    }
}

/* ------------------------------
 totop
------------------------------ */
#totop {
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 99;
    text-align: center;
}

#totop a {
    display: inline-block;
}

#totop svg {
    width: 80px;
    height: 80px;
}

@media (max-width:1024px) {
    #totop svg {
        width: 60px;
        height: 60px;
    }
}
@media (max-width:767px) {
    #totop svg {
        width: 40px;
        height: 40px;
    }
}

/* ------------------------------
 worry
------------------------------ */
.worry {
    padding-top: 5rem;
    padding-bottom: 0; 
    background-color: var(--white);
}

.worry .section-title {
    margin-bottom: 2.5rem;
}

.worry-flex {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    gap: 2.5rem;
}

.worry-list > * + * {
    margin-top: 1.25rem;
}

.worry-list li {
    font-size: 20px;
    color: var(--primary-color);
    text-align: left;
}

.worry-list li i {
    color: var(--primary-color);
    font-size: 1.2rem;
}

.worry-list li span {
    color: var(--secondary-color);
}

.worry-img {
    max-width: 194px;
}

.worry-img picture img {
    width: 100%;
}

.worry-bottom-banner {
    background-color: var(--primary-color);
    padding-top: 3.5rem;
    padding-bottom: 5.5rem;
    position: relative;
    -webkit-clip-path: polygon(0 0, 100% 0, 100% calc(100% - 80px), 50% 100%, 0 calc(100% - 80px));
            clip-path: polygon(0 0, 100% 0, 100% calc(100% - 80px), 50% 100%, 0 calc(100% - 80px));
}

.worry-message {
    color: var(--white);
    font-size: 24px;
    font-weight: 700;
    line-height: 1.8;
}

/* ------------------------------
 step
------------------------------ */
.step {
    background-color: var(--background-color);
    padding-top: 13rem;
    margin-top: -5.5rem;
}

.step .section-title span {
    color: var(--accent-color);
    font-size: 36px;
    background-image: url(../images/step-title-deco01.svg), url(../images/step-title-deco02.svg);
    background-repeat: no-repeat;
    background-size: contain;
    padding: 0 2.375rem;
    background-position: left bottom, right bottom;
    line-height: 1.4;
}

.step-case {
    margin-bottom: 2.5rem;
}

.step-case-header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: end;
        -ms-flex-align: end;
            align-items: flex-end;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    gap: 1.25rem;
}

.step-case-info {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: end;
        -ms-flex-align: end;
            align-items: flex-end;
    margin-bottom: 1.25rem;
    font-size: 24px;
}

.case-label {
    color: var(--white);
    background-color: var(--primary-color);
    padding: 0 1.25rem;
    border-radius: 100px;
    margin-right: .625rem;
}

.case-title {
    color: var(--secondary-color);
}

.case-img-box {
    flex: 0 0 90px;
}

.step-grid {
    display: -ms-grid;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1.375rem;
    position: relative;
}

.step-card {
    position: relative; 
    border: 1px solid var(--primary-color);
    background-color: var(--white);
}

.step-card:not(:last-child)::after {
    content: '';
    position: absolute;
    top: 50%;
    right: -21px; 
    transform: translateY(-50%);
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 10px 0 10px 15px;
    border-color: transparent transparent transparent var(--primary-color);
    z-index: 1;
}

.step-num {
    background-color: var(--primary-color);
    color: var(--white);
    font-weight: 700;
    padding: .375rem 0;
    font-size: 20px;
}

.step-card h4 {
    color: var(--primary-color);
    line-height: 1.4;
    padding: 0 .625rem;
    margin: .625rem 0;
}

.step-card p {
    line-height: 1.8;
    text-align: left;
    padding: 0 .625rem;
    margin-bottom: .625rem;
}

.step-message-text {
    font-size: 24px; 
    font-weight: 700;
    color: var(--primary-color);
    line-height: 2.2; 
}

.dot-text {
    display: inline-flex;
    gap: 0;
}

.highlight-yellow {
    color: #f9d130;
    position: relative;
}

.highlight-yellow::before {
    content: '';
    position: absolute;
    top: 3px; 
    left: 50%;
    transform: translateX(-50%);
    width: 5px;
    height: 5px;
    background-color: #f9d130;
    border-radius: 50%;
}

.highlight-bg {
    background-color: var(--primary-color);
    color: var(--white);
    padding: 0 1rem;
    display: inline-block;
}

/* ------------------------------
 support
------------------------------ */
.support {
    background-color: var(--white); 
    background-image: repeating-linear-gradient(
        135deg,
        transparent,
        transparent 10px,
        rgba(233,248,236,1) 10px,
        rgba(233,248,236,1) 20px
    );
    padding-top: 0;
}

.support .section-title {
    background-color: var(--secondary-color); 
    color: var(--white);
}

.support .section-title span {
    background-image: url(../images/support-title-deco01.svg), url(../images/support-title-deco02.svg);
    background-repeat: no-repeat;
    background-size: 2.8125rem;
    padding: 1.875rem 3.5rem;
    background-position: left center, right center;
    display: inline-block;
}

.support-features {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    gap: 2.5rem; 
    margin: 5rem 0;
}

.support-feature-item {
    width: 220px;
    height: 220px;
    background-color: var(--white);
    border-radius: 50%;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    gap: 1.25rem;
    box-shadow: 4px 4px 0px 0px var(--secondary-color);
}

.support-feature-item p {
    font-weight: 700;
    line-height: 1.4;
}

.support-note > * + * {
    margin-top: .625rem;
}

.support-note p {
    font-size:18px;
    font-weight: 700;
    background-color: var(--white);
    display: inline-block;
    padding: .625rem;
}

/* ------------------------------
 feature
------------------------------ */
.feature {
    background-color: var(--background-color); 
}

.feature .section-title .highlight-bg {
    background-color: var(--primary-color);
    color: var(--white);
    padding: .1rem 1rem;
    display: inline-block;
}

.feature-grid-wrapper > * + * {
    margin-top: 2.5rem;
}

.feature-row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    gap: 1.25rem; 
}

.feature-card {
    background-color: var(--white);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 4px 4px 0 0 rgba(0,0,0,0.2);
    height: 130px;
}

.card-img {
    width: 120px;
    height: 100%;
}

.card-img picture,
.card-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.card-body {
    padding: 1rem; 
}

.card-body p {
    font-weight: 700;
    color: var(--primary-color);
    line-height: 1.5;
}

.text-pink {
    color: #ff5a8d;
}

.feature-bottom-msg {
    font-size: 20px;
    color: var(--primary-color);
    font-weight: 700;
    margin-top: 5rem;
}

.feature-bottom-msg p:first-child {
    margin-bottom: .625rem; 
}

.border-box01 {
    border: 2px solid var(--primary-color); 
    padding: .1rem .4rem;
    margin: 0 .125rem; 
    display: inline-block;
}

.border-box02 {
    background-color: var(--primary-color);
    color: var(--white);
    padding: .18rem .5rem; 
    margin-right: .125rem; 
    display: inline-block;
}

/* ------------------------------
 voice
------------------------------ */
.voice {
    background-color: var(--secondary-color); 
}

.voice .section-title {
    color: var(--white);
    background-image: url(../images/voice-title-deco01.svg);
    background-repeat: no-repeat;
    background-size: 6.625rem;
    padding-top: 2.5rem;
    background-position: top center;
    display: inline-block;
    margin-bottom: 2.5rem;
}

.voice-grid {
    display: -ms-grid;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.25rem;
}

.voice-card {
    background-color: var(--white);
    border-radius: 8px; 
    padding: 1.25rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    gap: 1.25rem; 
    box-shadow: 2px 2px 0 0 var(--primary-color);
    border: 2px solid var(--primary-color);
}

.voice-icon {
    width: 120px;
}

.voice-content {
    flex: 1;
}

.voice-meta {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    gap: 0.625rem; 
    margin-bottom: .625rem;
    font-weight: 700;
    color: var(--primary-color);
}

.voice-label {
    color: var(--white);
    padding: .25rem .5rem;
    border-radius: 1.25rem; 
}

.voice-label.male {
    background-color: var(--primary-color); 
}

.voice-label.female {
    background-color: var(--accent-color);
}

.voice-text {
    line-height: 1.4;
    text-align: left;
}

/* ------------------------------
 faq
------------------------------ */
.faq {
    background-color: var(--background-color); 
}

.faq-header {
    text-align: center;
    margin-bottom: 3.75rem; /* 60px */
}

.faq-sub {
    display: block;
    font-size: 24px;
    font-weight: 700;
    text-decoration: underline;
    color: var(--primary-color);
}

.faq-list {
    background-color: var(--white);
    padding: 2.5rem;
    border-radius: 16px;
}

.faq-list > * + *  {
    margin-top: 2.5rem; 
}

.faq-question {
    font-size: 18px;
    font-weight: 700;
    color: var(--primary-color);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    gap: .625rem;
    padding-bottom: .4rem;
    border-bottom: 2px solid var(--primary-color); 
    margin-bottom: .625rem;
    text-align: left;
}

.faq-q-icon {
    font-size: 32px;
    line-height: 1;
}

.faq-answer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: .625rem;
}

.faq-a-icon {
    font-size: 32px;
    font-weight: 700;
    color: var(--accent-color); 
    line-height: 1;
    margin-top: 0.25rem;
}

.faq-answer p {
    line-height: 1.8;
    text-align: left;
}

/* ------------------------------
 cta
------------------------------ */
.cta {
    color: var(--white);
    background: linear-gradient(rgba(26,54,93, 0.8), rgba(26,54,93, 0.8)), url(../images/cta-bg01.webp);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding: 5rem 0;
    font-weight: 700;
}

.cta-sub-text {
    font-size: 24px;
    display: inline-block;
    padding-bottom: .3rem;
    border-bottom: 1px solid;
    margin-bottom: 0.625rem; 
}

.cta-main-title {
    font-size: 40px; 
    font-weight: 700;
    margin-bottom: 1.25rem; 
    line-height: 1.8;
}

.cta-message-box {
    display: inline-block;
    background-color: var(--white);
    color: var(--primary-color);
    padding: .4rem 1.25rem;
    font-weight: 700;
    font-size: 18px;
    margin-bottom: 2.5rem;
}

.cta-btn-wrapper {
    width: 540px;
    max-width: 100%;
    margin: 0 auto;
}

.cta-line-btn {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    background-color: var(--white);
    padding: 1.25rem 2.5rem;
    border-radius: 100px; 
    font-size: 28px;
    font-weight: 700;
    gap: 1.25rem;
    box-shadow: 0 2px 5px 0 rgba(255, 255, 255, 0.5);
}

.cta-line-btn img {
    width: 60px;
}

.cta-line-btn span {
    color: var(--secondary-color);
}

/* ------------------------------
 max-width: 1024px
------------------------------ */
@media (max-width: 1024px) {

    .step-grid {
        grid-template-columns: repeat(2, 1fr);
        gap: 2.5rem 1.25rem;
    }

    .step-card:nth-child(2)::after,
    .step-card:last-child::after {
        display: none;
    }

    .voice-grid {
        grid-template-columns: 1fr;
        max-width: 37.5rem; 
        margin: 0 auto;
    }
}

/* ------------------------------
 max-width: 767px
------------------------------ */

@media (max-width: 767px) {

    .worry-flex {
        flex-direction: column-reverse; 
        gap: 20px;
    }

   .worry-box {
    margin-bottom: 1.25rem;
   }

   .worry-list li {
        font-size: 18px;
   }

    .worry-img {
        max-width: 100px;
    }

    .worry-bottom-banner {
        padding-top: 2rem;
        padding-bottom: 3.5rem;
        -webkit-clip-path: polygon(0 0, 100% 0, 100% calc(100% - 50px), 50% 100%, 0 calc(100% - 50px));
            clip-path: polygon(0 0, 100% 0, 100% calc(100% - 50px), 50% 100%, 0 calc(100% - 50px));
    }

    .worry-message {
        font-size: 18px;
    }

    .step {
        padding-top: 6rem;
        margin-top: -3.5rem;
    }

    .step .section-title span {
        font-size: 18px;
    }

    .step-case-header {
        gap: .625rem;
    }

    .step-case-info {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
        -webkit-box-align: start;
            -ms-flex-align: start;
                align-items: flex-start;
        font-size: 16px;
        margin-bottom: .625rem;
    }

    .case-img-box {
        flex: 0 0 70px;
    }

    .case-title {
        text-align: left;
    }

    .step-grid {
        grid-template-columns: 1fr;
        gap: 2.5rem;
    }

    .step-card:not(:last-child)::after {
        top: auto;
        bottom: -30px; 
        right: 50%;
        left: 50%;
        transform: translateX(-50%);
        border-width: 15px 10px 0 10px;
        border-color: var(--primary-color) transparent transparent transparent;
    }

    .step-card:nth-child(2)::after {
        display: block;
    }

    .step-message-text {
        font-size: 16px;
    }

    .highlight-yellow::before {
        width: 3px;
        height: 3px;
    }

    .support .section-title span {
        background-size: 2.5rem;
        padding: 1.875rem 2.5rem;
    }

    .support-features {
        -ms-flex-wrap: wrap;
            flex-wrap: wrap;
        margin: 2.5rem 0;
        gap: .625rem; 
    }

    .support-feature-item {
        width: 150px;
        height: 150px;
        gap: .2rem;
    }

    .support-feature-item:nth-of-type(1) .feature-icon {
        width: 60px;
    }

    .support-feature-item:nth-of-type(2) .feature-icon {
        width: 70px;
    }

    .support-feature-item:nth-of-type(3) .feature-icon {
        width: 62px;
    }
    
    .support-feature-item p {
        font-size: 14px;
    }

    .support-note p {
        font-size: 16px; 
        text-align: left;
    }

    .feature .section-title .highlight-bg {
        padding: .1rem .625rem;
   }
    
    .feature-row {
        flex-direction: column;
    }

    .feature-grid-wrapper > * + * {
        margin-top: 1.25rem;
    }

    .feature-card {
        height: auto;
    }

    .card-body {
        flex: 1;
    }

    .feature-bottom-msg {
        margin-top: 2.5rem;
    }
    
    .feature-bottom-msg p:first-child {
        font-size: 14px;
    }

    .voice-card {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
    }
    
    .voice-meta {
        -webkit-box-pack: center;
            -ms-flex-pack: center;
                justify-content: center;
    }

    .faq-list {
        padding: 1.25rem;
    }
    
    .faq-question {
        font-size: 16px;
    }

    .cta-sub-text {
        font-size: 14px;
            padding-bottom: 0.2rem;
    }

    .cta-main-title {
        font-size: 18px;
    }

    .cta-message-box {
        font-size:16px;
        margin-bottom: 2rem;
    }

    .cta-line-btn {
        font-size: 18px;
        padding: .625rem 1.5rem;
        gap: .625rem;
    }

    .cta-line-btn img {
        width: 30px;
    }
}



